package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 消防竖管对象 t_firestandpipe
 *
 * @author ruoyi
 * @date 2020-11-25
 */
public class TFirestandpipe extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 编号 */
    @Excel(name = "编号")
    private String numb;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 区域 */
    private String area;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 负责人 */
    private String owner;

    /** 检查人 */
    private String inspector;

    /** 检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectdate;

    /** 检查状况 */
    @Excel(name = "检查状况", dictType = "INSPECTSTATUS")
    private String inspectstatus;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人
 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private Long[] ids;

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setNumb(String numb)
    {
        this.numb = numb;
    }

    public String getNumb()
    {
        return numb;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setOwner(String owner)
    {
        this.owner = owner;
    }

    public String getOwner()
    {
        return owner;
    }
    public void setInspector(String inspector)
    {
        this.inspector = inspector;
    }

    public String getInspector()
    {
        return inspector;
    }
    public void setInspectdate(Date inspectdate)
    {
        this.inspectdate = inspectdate;
    }

    public Date getInspectdate()
    {
        return inspectdate;
    }
    public void setInspectstatus(String inspectstatus)
    {
        this.inspectstatus = inspectstatus;
    }

    public String getInspectstatus()
    {
        return inspectstatus;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setStartDate(Date startDate)
    {
        this.startDate = startDate;
    }

    public Date getStartDate()
    {
        return startDate;
    }
    public void setEndDate(Date endDate)
    {
        this.endDate = endDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("numb", getNumb())
            .append("name", getName())
            .append("area", getArea())
            .append("position", getPosition())
            .append("owner", getOwner())
            .append("inspector", getInspector())
            .append("inspectdate", getInspectdate())
            .append("inspectstatus", getInspectstatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .toString();
    }
}
